# Function broadcastStatus

- broadcastStatus(name, channelApi): {
  sendStatus: ((status: "error" | "idle" | "in-progress", message?: string) => void);
  }

- #### Parameters

  - name: SyncEntryName
  - channelApi: default

  #### Returns {
  sendStatus: ((status: "error" | "idle" | "in-progress", message?: string) => void);
  }

  - ##### sendStatus: ((status: "error" | "idle" | "in-progress", message?: string) => void)

    - - (status, message?): void

      - #### Parameters

        - status: "error" | "idle" | "in-progress"
        - `Optional` message: string

        #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/broadcastStatus.ts:4